Bug 194155 - [maintainer] security/sssd: Update to 1.11.7
Summary: [maintainer] security/sssd: Update to 1.11.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-10-05 10:34 UTC by Sebastian YEPES F.
Modified: 2015-01-31 13:59 UTC (History)
2 users (show)

See Also:
lukas.slebodnik: maintainer-feedback+


Attachments
Update patch (77.18 KB, patch)
2014-10-05 10:34 UTC, Sebastian YEPES F.
no flags Details | Diff
Full update port (15.55 KB, application/x-compressed)
2014-10-05 10:35 UTC, Sebastian YEPES F.
no flags Details
Update patch (modified version) (71.16 KB, patch)
2014-10-07 21:00 UTC, lukas.slebodnik
lukas.slebodnik: maintainer-approval+
Details | Diff
Full update port(modified version) (12.22 KB, application/gzip)
2014-10-07 21:04 UTC, lukas.slebodnik
no flags Details
Update patch (modified version) (71.39 KB, patch)
2014-10-08 12:06 UTC, lukas.slebodnik
lukas.slebodnik: maintainer-approval+
Details | Diff
Update patch (modified version) (71.23 KB, patch)
2014-10-22 20:34 UTC, lukas.slebodnik
lukas.slebodnik: maintainer-approval+
Details | Diff
Update patch (modified version) (74.34 KB, patch)
2015-01-26 22:34 UTC, lukas.slebodnik
lukas.slebodnik: maintainer-approval+
Details | Diff
Update patch (modified version) (74.03 KB, patch)
2015-01-26 22:46 UTC, lukas.slebodnik
lukas.slebodnik: maintainer-approval+
Details | Diff
Fix plist issues with previous versions of the patch (71.52 KB, patch)
2015-01-31 08:23 UTC, Thomas Zander
riggs: maintainer-approval? (lukas.slebodnik)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian YEPES F. 2014-10-05 10:34:49 UTC
Created attachment 147992 [details]
Update patch

Port update patch
Comment 1 Bugzilla Automation freebsd_committer 2014-10-05 10:34:49 UTC
Maintainer CC'd
Comment 2 Sebastian YEPES F. 2014-10-05 10:35:28 UTC
Created attachment 147993 [details]
Full update port
Comment 3 lukas.slebodnik 2014-10-06 21:12:17 UTC
I will compare attached patch with my work-in-progress version tomorrow.
Comment 4 lukas.slebodnik 2014-10-07 21:00:39 UTC
Created attachment 148081 [details]
Update patch (modified version)
Comment 5 lukas.slebodnik 2014-10-07 21:04:36 UTC
Created attachment 148082 [details]
Full update port(modified version)

I prepared modified version of Sebastian's patch.
I removed some paches and reduced modifications in main Mankefile.

Sebastion,
thank you very much for your patch.
Comment 6 lukas.slebodnik 2014-10-08 12:06:40 UTC
Created attachment 148091 [details]
Update patch (modified version)

In private discussion, Sebastian pointed out there is a problem with linking.

Quote:
{{
I have just tested you port and it fails to build in my fBSD 10.1 system.       
I had this same error and resolved it by adding the following line to the       
port make file:                                                                 
                                                                                
LIBS+=          -L${LOCALBASE}/lib -liconv -lintl                               
                                                                                
By the way, I also tried using the variable ${ICONV_LIB}                        
<https://www.freebsd.org/doc/en/books/porters-handbook/book.html#iconv-simple-us
+e>                                                                             
which should be the correct way, but it did not work in 10.1 as this            
variable is empty.
}}
Comment 7 lukas.slebodnik 2014-10-22 20:34:05 UTC
Created attachment 148565 [details]
Update patch (modified version)

Hack mentioned in 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=194155#c6
 is not necessary because problem was already solved in 1.9.6
I accidetly override changes in patch when I was updaing port to new version.
Comment 8 John Marino freebsd_committer 2014-10-31 18:18:41 UTC
final patch from maintainer, fixing title appropriately (FYI "[port update]" is a meaningless prefix, don't use that anymore)

Although there are no test logs, I'm moving to patch-ready status.
Comment 9 Thomas Zander freebsd_committer 2014-11-07 19:50:07 UTC
Back to discussion. I get this during build:

=======================<phase: build          >============================
===>  Building for sssd-1.11.7
./src/sbus/sbus_codegen --mode=source --include=src/tests/sbus_codegen_tests_generated.h --output=src/tests/sbus_codegen_tests_generated.c src/tests/sbus_codegen_tests.xml
./src/sbus/sbus_codegen --mode=source --include=src/monitor/monitor_iface_generated.h --output=src/monitor/monitor_iface_generated.c src/monitor/monitor_iface.xml
./src/sbus/sbus_codegen --mode=source --include=src/providers/data_provider_iface_generated.h --output=src/providers/data_provider_iface_generated.c src/providers/data_provider_iface.xml
env: python: No such file or directory
env: python: No such file or directory
Makefile:15520: recipe for target 'src/monitor/monitor_iface_generated.c' failed
gmake: *** [src/monitor/monitor_iface_generated.c] Error 127
gmake: *** Waiting for unfinished jobs....
Makefile:15520: recipe for target 'src/tests/sbus_codegen_tests_generated.c' failed
gmake: *** [src/tests/sbus_codegen_tests_generated.c] Error 127
env: python: No such file or directory
Makefile:15520: recipe for target 'src/providers/data_provider_iface_generated.c' failed
gmake: *** [src/providers/data_provider_iface_generated.c] Error 127
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** [do-build] Error code 1

Stop in /usr/ports/security/sssd.
Comment 10 lukas.slebodnik 2014-11-08 13:18:00 UTC
(In reply to Thomas Zander from comment #9)
> Back to discussion. I get this during build:
> 
> =======================<phase: build          >============================
> ===>  Building for sssd-1.11.7
> ./src/sbus/sbus_codegen --mode=source
> --include=src/tests/sbus_codegen_tests_generated.h
> --output=src/tests/sbus_codegen_tests_generated.c
> src/tests/sbus_codegen_tests.xml
> ./src/sbus/sbus_codegen --mode=source
> --include=src/monitor/monitor_iface_generated.h
> --output=src/monitor/monitor_iface_generated.c src/monitor/monitor_iface.xml
> ./src/sbus/sbus_codegen --mode=source
> --include=src/providers/data_provider_iface_generated.h
> --output=src/providers/data_provider_iface_generated.c
> src/providers/data_provider_iface.xml
> env: python: No such file or directory
> env: python: No such file or directory

Do you have installed python 2 or python 3?
Comment 11 Thomas Zander freebsd_committer 2014-11-08 22:40:31 UTC
This is from a poudriere build. Therefore only the dependencies from the Makefiles were pulled in.
Comment 12 lukas.slebodnik 2014-11-10 22:00:14 UTC
(In reply to Thomas Zander from comment #11)
> This is from a poudriere build. Therefore only the dependencies from the
> Makefiles were pulled in.

I don't have poudiere configured. Accoring to portes handbook
"USES=python:2.6-2.7" should fix the build issue.

There is a upstream work on python3, but it isn't merged yet.
Comment 13 Thomas Zander freebsd_committer 2014-11-15 09:12:28 UTC
It does build with
USES= python:2

if you REINPLACE "/usr/bin/env python2" instead of just "python" in post-patch, but during stage-qa there are many plist issues. Could you please take a look?
Comment 14 lukas.slebodnik 2015-01-26 22:34:17 UTC
Created attachment 152216 [details]
Update patch (modified version)

Updated version fixes:
* build with new version of samba
* build krb5 locator plugin with MIT krb5-1.13
* fix building with python
Comment 15 lukas.slebodnik 2015-01-26 22:46:17 UTC
Created attachment 152217 [details]
Update patch (modified version)

Additional change in patch
@dirrmtry was replaced with @dir
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-27 02:18:50 UTC
riggs@ updated status to In Progress, assign accordingly.
Comment 17 Thomas Zander freebsd_committer 2015-01-31 08:23:27 UTC
Created attachment 152411 [details]
Fix plist issues with previous versions of the patch

plist issues fixed, builds now fine in poudriere on 9.x and 10.x

Could you double check whether this works as expected and let me know if this is okay for commit.
Comment 18 lukas.slebodnik 2015-01-31 12:01:50 UTC
(In reply to Thomas Zander from comment #17)
Thank you for fixing plist issues.

And I can confirm it works as expected.
Comment 19 commit-hook freebsd_committer 2015-01-31 13:54:28 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 31 13:53:59 UTC 2015
New revision: 378208
URL: https://svnweb.freebsd.org/changeset/ports/378208

Log:
  - Update to upstream version 1.11.7
  - Add non-default SMB (samba) option

  PR:		194155
  Submitted by:	syepes@gmail.com
  Reviewed by:	lukas.slebodnik@intrak.sk (maintainer), riggs
  Approved by:	lukas.slebodnik@intrak.sk (maintainer)

Changes:
  head/security/sssd/Makefile
  head/security/sssd/distinfo
  head/security/sssd/files/pam_macros.h
  head/security/sssd/files/patch-Makefile.am
  head/security/sssd/files/patch-src__confdb__confdb.c
  head/security/sssd/files/patch-src__external__inotify.m4
  head/security/sssd/files/patch-src__external__krb5.m4
  head/security/sssd/files/patch-src__external__pac_responder.m4
  head/security/sssd/files/patch-src__man__pam_sss.8.xml
  head/security/sssd/files/patch-src__providers__ad__ad_access.c
  head/security/sssd/files/patch-src__providers__ad__ad_common.c
  head/security/sssd/files/patch-src__providers__fail_over.c
  head/security/sssd/files/patch-src__providers__ipa__ipa_common.c
  head/security/sssd/files/patch-src__providers__krb5__krb5_delayed_online_authentication.c
  head/security/sssd/files/patch-src__providers__ldap__ldap_auth.c
  head/security/sssd/files/patch-src__providers__ldap__sdap_access.c
  head/security/sssd/files/patch-src__providers__ldap__sdap_async_sudo_hostinfo.c
  head/security/sssd/files/patch-src__resolv__async_resolv.c
  head/security/sssd/files/patch-src__sss_client__common.c
  head/security/sssd/files/patch-src__sss_client__nss_group.c
  head/security/sssd/files/patch-src__sss_client__pam_sss.c
  head/security/sssd/files/patch-src__sss_client__pam_test_client.c
  head/security/sssd/files/patch-src__sss_client__sss_nss.exports
  head/security/sssd/files/patch-src__util__crypto__libcrypto__crypto_sha512crypt.c
  head/security/sssd/files/patch-src__util__crypto__nss__nss_sha512crypt.c
  head/security/sssd/files/patch-src__util__find_uid.c
  head/security/sssd/files/patch-src__util__server.c
  head/security/sssd/files/patch-src__util__signal.c
  head/security/sssd/files/patch-src__util__sss_ldap.c
  head/security/sssd/files/patch-src__util__util.h
  head/security/sssd/pkg-plist